/*! Copyright © 2010 Apple Inc.  All rights reserved. */

/* Modified by BL on 15 November 2009 */
/* Changed pixels to percents or em units */
/* Updated styles for January 2010 release added by KO on 16 November 2009 */

body {
    margin: 0;
    padding-left: 2em;
    padding-right: 2em;
}

/* redefine preformated text and code blocks */
pre {
margin-top: 0.455em;
margin-bottom: 0.909em;
}
code, tt, samp, pre {
font-size: 100%;
font-family: Courier, monospace;
color: rgb(90,90,90);
}

/* <rdar://problem/7707012> Some figures in iPhone HIG too wide and wrong aspect ratio
    We are writing out two <img> tags to the HTML with the same src, this will hide the iPad
    specific version
*/
img.ipad-scaled-image {
display: none;
}

img.toplevel {
float: left;
}

a:-webkit-any-link {
text-decoration:none;
color: #36c;
}

/* frameset: H1,H2,H3,H4,H5,Head for code voice */

h1 {
	line-height: 1.10em;
	font: 160% "Verdana";
	margin-bottom: 1.00em;
	margin-top: 0.00em;
	text-indent: 0.00em;
	margin-right: 0.00em;
	margin-left: 0.00em;
	text-align: left;
	font-weight: normal;
	font-style: normal;
	color: rgb(0,0,0);
}

/* BL: Okay to change 480px width to em units?
   DWK: No, since we are talking about a physical device here. */
@media only screen and (max-device-width: 480px) {

    h1 {
font-size: 215%;
}

}


h2 {
margin-top: 1.75em;
font: 130% "Verdana";
font-weight: normal;
color: #455e90;
padding-bottom: 2px;
border-bottom: 1px solid #455e90;
page-break-after: avoid;
-webkit-column-break-after: avoid;
}

h3 {
margin-top: 1.5em;
margin-bottom: .25em;
font: 110% "Verdana";
font-weight: normal;
color: #000;
page-break-after: avoid;
-webkit-column-break-after: avoid;
}

h3.tight {
margin-top: 1.5em;
margin-bottom: -.25em;
}

h3.tasks {
margin-top: 0.471em;
margin-bottom: .25em;
}

h3.verytight {
margin-top: 1.5em;
margin-bottom: -.25em;
}

h4 {
margin-top: 1.5em;
margin-bottom: .5em;
font: 100% "Verdana";
font-weight: normal;
color: #000;
}

h5 {
margin-top: 1.5em;
margin-bottom: .5em;
padding: 0;
font: .90em "Verdana";
color: #000;
}
.mach4 {
margin-top: 2.5em;
margin-bottom: 0;
padding-top: 0;
font: bold 1.0em "Verdana";
color: #000;
}
.mach5 {
margin: 2.308em 0 -0.615em 0;
font: bold .90em "Verdana";
color: #000;
}

.api h5,
h5.tight {
margin: 0.692em 0 0.154em 0;
}

li img {
margin-left: 0em;
}
    
.code_head {
font-size: .83em;
font-family: courier, monospace;
font-weight: bold;
margin-top: 2.778em;
}

p {
	line-height: normal;
    margin-top: 0em;
    margin-bottom: 0.833em;
    font: .83em "Verdana";
}

figcaption {
    display: block;
    margin: 1em 0px;
    margin-top: 0em;
    margin-bottom: 0.833em;
    font: .83em "Verdana";
}

p.abstract,
p.spaceabove, section.spaceabove {
margin-top: 1.083em;
margin-bottom: 0.833em;
font: .83em "Verdana";
}

div.declaration {
font: .83em  courier, monospace;
margin-top: 1.182em;
margin-bottom: 0.909em;
}

div.declaration em {
font-family: "Verdana";
font-size: .83em;
font-style: italic;
}

h3.tight + p, h3.verytight + p {
margin-top: 1.083em;
margin-bottom: 0.833em;
font: .83em "Verdana";
}

h3.tight + p.spaceabovemethod {
font: .83em  courier, monospace;
margin-top: 1.182em;
margin-bottom: 0.909em;
}

.content_text {
font-size: 100%;
}

p.blockquote {
padding-left: 4.167em;
padding-right: 4.167em;
}

.api ul {
list-style-type: none;
margin: 0em 0em -0.909em .25em;
white-space: nowrap;
}
.api ul li {
margin: 0.182em 0em 0em -0.7em;
}
    
/* frameset: content frame bold style for text*/
b, strong {
font-weight: bold;
}

/* Used for text that is sligtly larger than bold text like lables and captions*/
.content_text_label {
font-family: "Verdana";
font-size: .83em;
}

/* frameset: content frame italic style for text*/   
i, em {
font-style: italic;
}

/* make sure the font is set to something that can reflect the italic font style, in AppleScript syntax elements, for example */   
.force_italic {
font-family: "Verdana";
font-size: .83em;
font-style: italic;
}

em.mono {
Font: 100% Courier-Oblique;
font-weight: normal;
font-style: italic;
clear: both;
}

pre.bold {
font-weight: bold;
}


/* Used for reference heads in ProcedualC and AppleScript Language*/
.content_ref_head {
font-family: "Verdana";
font-size: 133.33%;
font-weight: bold;
margin-top: 3.125em;
padding-bottom: 0.25em;
border-bottom: 1px solid #919699;
}

.content_ref_head_code {
font-family: courier, monospace;
font-size: 133.33%;
font-weight: bold;
margin-top: 3.125em;
padding-bottom: 0.25em;
border-bottom: 1px  solid #919699;
}
        
/* frameset: page title */
.page_title {
font-family: "Verdana";
font-size: 283.33%;
font-weight: bold;
color: #000000;
padding-top: 0.294em;
}

/* frameset: Unordered List */
/* BL: I don't see ul font size explicity set, so I'm assuming 12px */

ul.termdef {
list-style: disc outside;
margin-left: 1.333em;
padding: 0 0 0 0;
}
li.termdef {
margin-left: 0em;
}
ul, .api ul.ul {
list-style: disc outside;
margin: 0 0 0 .75em;
padding: 0 0 0em 0.5em;
}

li , .api li.li {
    margin-bottom: 0.5em;
}
            
li p {
font-family: "Verdana";
	line-height: normal;
	font-size: 0.83em;
	margin-bottom: 0.83em;
	margin-top: 0.0em;
	text-indent: 0.0em;
	margin-right: 0.0em;
	margin-left: 0.0em;
	text-align: left;
	font-weight: normal;
	font-style: normal;
	color: rgb(0,0,0);
}

/* Changing li>p to display :inline. Lists are block elements. Was also causing spacing issues with first para of lists */
li>p {
display: block
}
li>p+p {
display: block
}
li>a+p {
display: block
}
    
ul ul {
list-style: disc outside;
margin: 0.5em 0 0 .75em;
padding: 0 0 0em 0.5em;
}
ul.threeHead {
list-style: disc outside;
margin: 0 0 0 1.667em;
padding: 0 0 0em 0em;
}


/* alternate mappings for 2nd level bulleted list that are still in testing phase*/ 
.nested li {
list-style: disc outside;
}
    
ul.nested {
list-style: disc outside;
margin: 0.5em 0 0 .75em;
}
            
ol {
font: 0.83em "Verdana";
font-weight: normal;
list-style-type: decimal;
list-style-position: outside;
margin: 0 0 0 2.5em;
padding: 0 0 0em 0.5em;
}

ol p {
font-size: 100%;    /* override std para setting as we need to set font size in ol so numbers pick up size */
}
    
ol ol {
list-style-type: lower-alpha;
list-style-position: outside;
margin: 0.583em 0 0 2.5em;
padding: 0 0 0em 0.833em;
}

ul.simple-spaceabove {
list-style-type: none;
margin: 0.417em 0 0 1.667em;
}
.simple-spaceabove li {
margin-top: 0.083em;
}

ul.simple {
list-style-type: none;
margin: 0 0 1em .85em;
}
.simple li {
margin-top: 7px;
}
    
ul.simple_termdef {
list-style-type: none;
margin: 0.250em 0 -0.833em 0em;
}
.simple_termdef li {
margin-top: -0.083em;
}

dl.table-display {
clear: both;
width: auto;
margin: 0;
padding: 0em;
font: 0.83em "Verdana";
}

.table-display dt {
width: 8em;
float: left;
margin: 0 0 0 0;
padding: .1em;
}

dt {
clear: both;
}


.table-display dd {
float: left;
width: 80%;
margin: 0 0 0 0;
padding: .1em;
display: block;
}

.clear {
clear: both;
}
dl.termdef {
font: 0.83em "Verdana";
margin-top: 0em;
margin-bottom: 0.833em;
}
.termdef dt {
margin-top: 0em;
}
.termdef dd {
margin-left: 1.25em;
margin-top: 0.083em;
margin-bottom: 0.5em;
}
.termdef dd p {
margin-top: -0.083em;
margin-bottom: 0.5em;
font-size: 100%;
}
dl.termdef dd ul.termdef{
margin-top: 0em;
margin-bottom: 0.833em;
margin-left: 2em;
}
h3.tight + dl.termdef {
margin-top: 1.083em;
margin-bottom: 0.833em;
}
h3.verytight + ul {
margin-top: 0.833em;
margin-bottom: 0em;
}
.termdef dd  {
margin-top: 0em;
margin-bottom: 0.3em;
}
.termdef dd  div.codesample pre {
margin: -0.083em 0.333em 0em 0.5em;
}
    


/* frameset: Index styles for docs */
/* frameset: Index styles for alpah listing */
.index_alpa {
font-size: 150%;
padding-bottom: 0.278em;
margin: 1.389em 0 0.833em;
border-bottom: 1px solid #91969C;
    /* Copied out of HTML_Master.txt */
    height: 30pt;
vertical-align: bottom;
text-align: left;
}

/* frameset: Index styles for singal and page range entries */
.libindex {
font-size: .83em;
padding: 0 0.25em;
background-color: #FFFFFF;
margin: 0 0.25em;
    /* Copied out of HTML_Master.txt */
    height: 25px;
text-align: left;
vertical-align: bottom;
}

/* frameset: mini navigation style (Hide/Show TOC & next/prev) */
.mini_nav_text {
font-family: "Verdana";
font-size: 75%;
font-weight: normal;
}



/* footer */
#footer td, #footer p {
font-size: 83.33%;
}
    
/* Item CSS */
.item_figure {
margin-top: 1em;
margin-bottom: 0.833em;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}
        


/* Table styles */
/* BL: Assuming 12px is base */

.TableHeading_TableRow_TableCell {
text-align: left;
font-weight: bold;
background-color: #CCCCCC;
}

.ShadedTableCell {
background-color: #CCCCCC;
}

caption.tablecaption {
margin-bottom: 0.417em;
text-align: left;
page-break-after: avoid;
-webkit-column-break-after: avoid;
}
.sourcecodebox {
border: 1px solid #c7cfd5;
background: #f5f9fd;
margin: 1.667em 0;
}
    
div.tableholder {
margin-top: 1.667em;
margin-bottom: 1.667em;
}
    
p.tableholder {
margin-bottom: 0.583em;
font: .83em "Verdana";
}
          
.rowhead p {
font-weight: bold;
}
    
.rowhead {
background: #EAEAEA;
}

.graybox {
border-top: 1px solid #9bb3cd;
border-left: 1px solid #9bb3cd;
margin-bottom: 0.4em;
}
    
.graybox th {
padding: 0.3em 0.667em 0.3em 0.667em;
background: #93A5BB;
font-size: 103%;
font-weight: normal;
color: #fff;
border-bottom: 1px solid #9bb3cd;
border-right: 1px solid #9bb3cd;
}
.graybox th p {
font-weight: bold;
margin-bottom: .33em;
}
    
.graybox td {
padding: 0.667em;
font-size: .83em;
vertical-align: middle;
border-bottom: 1px solid #9bb3cd;
border-right: 1px solid #9bb3cd;
}
.graybox td p {
margin-bottom: 0em;
}
.graybox td p + p {
margin-top: 0.417em;
}
.graybox td p + p + p {
margin-top: 0.417em;
}
.graybox.revision-history td {
vertical-align: top;
}
    
    
/* footnote definitions */
/* BL: Where do we use footnotes? */
.footnote h4, .footnote p {
color: #76797C;
font-size: 91.67%;
}
        
.noteboxdef {
border: 1px solid #5088C5;
background-color: #FFF;
margin: 1.667em 0;
padding: 0.417em 0.667em 0.083em 0.750em;
text-align: left;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}
.notebox {
border: 1px solid #5088C5;
background-color: #FFF;
margin: 1.667em 0em 1.75em 0em;
padding: 0em 0.667em 0.083em 0.750em;
text-align: left;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}
.notebox p, .noteboxdef p {
font: .83em "Verdana";
margin-top: 0.583em;
margin-bottom: 0em;
}
.importantboxdef {
border: 1px solid #5088C5;
background-color: #f0f3f7;
margin:  1em 1.75em 0em;
padding: 0.417em 0.667em 0.083em 0.750em;
text-align: left;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}
.importantbox {
border: 1px solid #5088C5;
background-color: #f0f3f7;
margin: 1.667em 0em 1.75em 0em;
padding: 0em 0.667em 0.083em 0.750em;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}
.importantbox p, .importantboxdef p {
font: .83em "Verdana";
margin-top: 0.583em;
margin-bottom: 0em;
}

.warningboxdef {
border: 1px solid #000;
background: #FFFFFF url("../Images/book_ui_sprites.png") -85px -20px no-repeat;
margin: 1.667em 0;
padding: 0.50em 0.667em 0.083em 0.750em;
text-align: left;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}

.warningbox {
border: 1px solid #000;
background: #FFFFFF url("../Images/book_ui_sprites.png") -80px -20px no-repeat;
margin: 1.667em 0;
padding: 0em 0.667em 0.083em 0.750em;
text-align: left;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}
.warningbox p, .warningboxdef p {
border-style: none;
font: .83em "Verdana";
margin-top: 0.583em;
margin-bottom: 0em;
margin-left: 2.5em;
}
                                                                             
/******************** Codesample Blocks ********************/ 

.notebox pre {
font-size: 80%;
margin: 1.5em 0;
}

.importantbox pre {
font-size: 85%;
margin: 1.5em 0;
}

div.codesample {
font-size: 80%;
margin: 1.5em 0;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}

.codesample table {
width: 100%;
background-color: #F1F5F9;
border-collapse: collapse;
border: 1px solid #c7cfd5;
padding-bottom: 4px;
}

/*.codesample table td {
padding: 0.500em;
}
*/

.codesample pre {
margin: 0em 0.333em 0em 0.500em;
white-space: pre-wrap;
line-height: 100%;
}

.codesample tr {
border-bottom: 0px solid #FFFFFF;
}

.codesample span {
margin-right: 0.667em;
float: right;
}

.codesample span.emphasisdisplay {
	font-weight: bold;
	font-style: normal;
    float: none;
}

p.codesample {
margin-top: 1.667em;
margin-bottom: -.85em;
font: .83em "Verdana";
page-break-after: avoid;
-webkit-column-break-after: avoid;
}

.Head-Carbon-Status {
font: 110% "Verdana";
}

.zTableCellIntro {
width: 100%;
padding-left: 10px;
padding-top: 10px;
}

.collectionColumn1 {
width: 33%;
float: left;
}

.collectionColumn2 {
width: 33%;
float: left;
}

.collectionColumn3 {
width: 33%;
float: left;
}

.collectionHead {
margin-bottom: 2px;
padding-bottom: 3px;
}

.collectionColumn li {
list-style-type: none;
color: #093d92;
text-decoration: none;
font-family: "Verdana";
font-size: 91.67%;
line-height: 1.364em;
margin-top: 0;
margin-bottom: 0;
}

table.zDeclaration {
margin: 1.667em 0;
border-spacing: 0px;
width: 100%;
}

table.zDeclaration td {
padding: 1px;
}

.zDeclaration pre {
font-size: 100%;
font-family:  courier, monospace;
margin: -0.05em 0.333em -0.250em 0.500em;
white-space: pre;
}
.zDeclaration span {
margin-left: 5.0em;
}
    
div.zSharedSpecBoxHeadList {
margin-bottom: 1px;
}

ul.tooltip {
list-style-type: none;
margin: 0 0 0 .5em;
padding-left: 0em;
white-space: nowrap;
}
ul.tooltip  li {
margin: 0.167em 0 0 0;
}
ul.tooltip  li code {
font-size: 100%;
font-family: Courier, Consolas, monospace;
}
pre.declaration {
font-size: 100%;
font-family: Courier, Consolas, monospace;
margin: -0.05em 0.333em -0.250em 0.500em;
white-space: pre;
}

/* Controller Layer Bindings styles */        

.class_binding_block {
}
        
.binding_category_block {
margin-left: 1em
}
       
.binding_category_name {
font-size: 200%;
font-family: "Verdana";
font-weight: bold;
line-height: 2.917em;
padding-bottom: 0.083em;
border-top: 0.167em solid black
}
        
.binding_block {
margin-left: 2em
}
    
.binding_name {
font-size: 150%;
font-family: Courier, Consolas, monospace;
font-weight: 400;
margin-top: 0.833em;
margin-bottom: 1.0em;
border-bottom: 1px solid #69f
}

.bindings_tablehead {
font-size: 116.67%;
font-family: "Verdana";
font-weight: bold;
position: relative;
top: -0.417em;
margin-left: -1.667em
}
        
.placeholder_options_block {
margin-left: 2em
}
        
.availabilityList {
border: none;
margin-top: 0.417em;
margin-bottom: 0em;
font-size: .83em;
text-align: left;
}
        
.availabilityItem {
margin-top: -1.25em;
margin-bottom: 1.25em;
padding-left: 6.5em;
}
    

.metadata_attributes_name {
font-size: 200%;
font-family: "Verdana";
font-weight: bold;
padding-top: 0.208em;
margin-bottom: -0.417em;
border-top: 2px solid black
}
        
.metadata_attribute_name {
font-size: 150%;
font-family: Courier, Consolas, monospace;
font-weight: 400;
margin-top: 0.556em;
padding-bottom: 0.111em;
}
         
.task_api_suffix {
font-family: "Verdana";
font-size: 91.67%;
font-style: italic;
color: #999966;
}
        
/* Spec Sheet Info Box */
/* Used in AppKit Obj-C, Appkit Java, Foundation Obj-C, and Foundation Java References */ 
 /* BL: Assuming base font size is 12 px */       
.spec_sheet_info_box {
margin-left: 0em
}

/* This builds a table */        
.specbox {
border-top: 1px solid #d6e0e5;
margin-left: 2.5em;
margin-bottom: 2.5em;
}
    
.specbox td {
padding: 0.667em;
font-size: 90%;
text-align: left;
vertical-align: top;
border-bottom: 1px solid #d6e0e5;
}
        
/* This alternates colors in up to six table rows (light blue for odd, white for even) */     
        
.specbox tr {
background: #FFF;
}

.specbox tr + tr {
background: #FFF;
}

.specbox tr + tr + tr {
background: #FFF;
}

.specbox tr + tr + tr + tr {
background: #FFF;
}

.specbox tr + tr + tr +tr + tr {
background: #FFF;
}

.specbox tr + tr + tr + tr + tr + tr {
background: #FFF;
}

.specbox tr + tr + tr + tr + tr + tr + tr {
background: #FFF;
}

/* informal protocol subtitling */

.protocol_subtitle {
margin-top: -1.923em;
margin-bottom: 1.923em;
font-size: 108.33%;
}


/* BL: Okay to change 170px width to em units?*/   
.sidebartable {
width: 14.167em;
border: 1px solid #a1a5a9;
margin-bottom: 0.909em;
padding: 0.909em;
margin-left: 0em;
font-family: 'lucida grande', arial;
font-size: 91.67%;
text-align: left;
}

.header {
color: #000000;
font-size: .83em;
font-weight: bold;
margin-bottom: 0.417em;
vertical-align: middle;
}

.sidebartext {
color: #000;
font-family: "Verdana";
font-weight: normal;
font-size: 11px;
line-height: 13px;
margin-bottom: 5px;
}

.sidebartable th {
padding: 0.333em 0.667em 0.333em 0.833em;
background: #DBDBDB;
font-size: 100%;
font-weight: bold;
color: #000;
border-bottom: 1px solid #a1a5a9;
}
    
.sidebartable td {
padding: 0 0.909em 0.909em;
font-size: 100%;
text-align: left;
vertical-align: top;
}
    
.sidebartable p {
color: #017;
font-family: "Verdana";
font-size: 91.67%;
font-weight: bold;
line-height: 1.182em;
margin-bottom: 0.455em;
}

.sidebartable h2, .sidebartable ul {
font-size: 91.67em;
color: #017;
margin: 0.909em 0 0.182em;
padding: 0;
}
    
.sidebartable table td {
border: none;
padding: 0;
vertical-align: middle;
}

.RelatedClass, .HTML-Related-Documents, .DeclaredIn, .FrameworkPath, .zChapterRelatedSampleCode, .HeaderFileDirectory, .InheritsFrom, .TechnologyArea {
white-space: nowrap;
}

.relatedSampleCode li {
margin-bottom: -5px;
}

.deprecated, .zRedText {
color: red;
}

/* anchor wrapping for iBooks (a must be in a block elt) */
div.anchor {
height: 0;
overflow: hidden;
}

/* Devpedia link, popup box, and popup article styles */
span.pediaLink, span.recipeLink {
color: rgb(51, 102, 204);
text-decoration: none;
font-style: normal;
border-bottom: 1px dashed rgb(51, 102, 204);
white-space: nowrap;
cursor: pointer;
-webkit-transition-property: color, background-color, border-bottom, -webkit-border-top-left-radius, -webkit-border-top-right-radius, padding, margin;
-webkit-transition-duration: 0.25s;
}

span.pediaLink:hover, span.pediaLink a:hover, span.recipeLink:hover, span.recipeLink a:hover {
border-bottom: 1px solid rgb(51, 102, 204);
text-decoration: none;
}

span.activePedia, span.activePedia a {
padding: 0.083em 0.333em 0em 0.333em;
margin: -0.333em;
border-bottom: 1px solid #8697BB;
color: white;
background-color: #8697BB;
-webkit-box-shadow: rgba(0, 0, 0, .5) 0 0.667em 1.667em;
-moz-box-shadow: black 0 0 0.417em;
-webkit-border-top-left-radius: 0.667em;
-webkit-border-top-right-radius: 0.667em;
-moz-border-radius-topleft: 0.667em;
-moz-border-radius-topright: 0.667em;
}

span.activePedia-bottom, span.activePedia-bottom a {
padding: 0.083em 0.333em 0em 0.333em;;
margin: -0.333em;
border-bottom: 1px solid #8697BB;
color: white;
background-color: #8697BB;
-webkit-border-bottom-left-radius: 0.667em;
-webkit-border-bottom-right-radius: 0.667em;
-moz-border-radius-bottomleft: 0.667em;
-moz-border-radius-bottomright: 0.667em;
-webkit-box-shadow: rgba(0, 0, 0, .5) 0em 0.667em 1.667em;
-moz-box-shadow: black 0 0 0.417em;
}

span.activePedia:hover, span.activePedia a:hover, span.activePedia-bottom:hover, span.activePedia-bottom a:hover {
border-bottom: none;
color: white;
}


/* Legacy watermarking */
#legacyOuterWrapper {
position: fixed;
display: none;
}

#legacyOuterWrapper.show {
display: block;
}

* html #legacyOuterWrapper {
width: 100%;
position: fixed;
margin-left: 0em;
}

/* BL: Okay to change 500 px width to em units? */
#watermark {
position: relative;
margin-left: auto;
margin-right: auto;
z-index: 1500;
width: 41.667em;
}

.legacybox {
border: 2px solid #695D54;
background: #FFFACD;
margin-top: 0.667em;
margin-left: 0em;
margin-right: 0.833em;
padding: 0.167em 0.417em 0.167em 0.667em;
text-align: left;
position: relative;
-webkit-box-shadow: rgba(0, 0, 0, .5) 0em 0.667em 0.833em;
-moz-box-shadow: gray 0 0.667em 0.833em;
}

.legacybox p {
font: .83em "Verdana";
margin-top: 0.167em;
}

.legacybox h1 {
font: 116.67% "Verdana";
font-weight: bold;
text-align: center;
margin-top: 0.357em;
margin-bottom: 0.571em;
}

.closebutton {
height: 30px; /* this is the actual height/width of a UI element, do no change to EM units or it will break */
width: 30px;
background: transparent url('../Images/book_ui_sprites.png') 0px -20px;
position: absolute;
right: 0.583em;
top: 0.582em;
bottom: 0.667em;
}

.noWrap {
white-space: nowrap;
}

.KeyPhrases_Name {
color: gray;
font-weight: bold;
}

.figure {/* Artwork */
padding-top: 1em;
margin-bottom: 0.4em;
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}

.figure p {
padding-bottom: 5px;
page-break-after: avoid;
-webkit-column-break-after: avoid;
}

span.emphasisdisplay {
	font-weight: bold;
	font-style: normal;
}

span.emphasis {
	font-weight: normal;
	font-style: italic;
}

span.generated-style {
}

.breakAvoid {
page-break-inside: avoid;
-webkit-column-break-inside: avoid;
}

pre.trademark {
	line-height: normal;
    margin-top: 0em;
    margin-bottom: 0.833em;
    font: .83em "Verdana";
    color: #000;
}

div.trademark {
	line-height: normal;
    margin-top: 0em;
    margin-bottom: 0.833em;
    font: .83em "Verdana";
}

div.lofat_entries {
	line-height: normal;
    margin-top: 0em;
    margin-bottom: 0.833em;
}

.lofat_chapter_entry {
    font: 90% "Verdana";
    margin-top: 1.75em;
    border-bottom: 1px solid #455e90;
    font-weight: bold;
    color: #455e90;
    padding-bottom: 2px;
}

.lofat_chapter_prefix {
    float: left;
}

.lofat_chapter_title {
    margin-left: 6.5em;
}

.lofat_entry {
    margin-left: 8.5em;
    font: 70% "Verdana";
    margin-top: .25em;
    margin-bottom: .25em;
    color: #000;
}

.lofat_number {
    float: left;
}

.lofat_caption {
    margin-left: 7em;
}

.tablelinkwrapper  {
    font: .83em "Verdana";
    margin-bottom: 1.0em;
}

.tablelinkwrappername {
    display: none;
}

.tablelink a:after { 
    content: url("../Images/tablelink.png");
    margin-left: 0.65em;
    position: relative;
    top: 6px;
}
